For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

Get Super Admin Details

GET
https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/:superAdminId
GET
/api/v3/io/super-admins/info/:superAdminId
$curl https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "customerId": 343,
5 "extraFields": [
6 {
7 "fieldName": "customField1",
8 "fieldValue": "foo"
9 }
10 ],
11 "id": 123456,
12 "createdAt": 1745868780,
13 "updatedAt": 1750962754,
14 "channelList": [
15 {
16 "channelId": 1,
17 "channelName": "Great Buys Wholesale",
18 "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
19 }
20 ],
21 "firstName": "Marie",
22 "lastName": "Curie",
23 "phone": "string",
24 "uuid": "string",
25 "email": "marie.curie@example.com"
26 },
27 "meta": {
28 "message": "Success"
29 }
30}

Returns detailed information about the Super Admin account associated with superAdminId.

Was this page helpful?
Previous

Get Super Admin's Assigned Companies

Next

Update Super Admin Details

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

superAdminIdintegerRequired

The unique ID of the Super Admin account. Does not match the BigCommerce customer account ID.

Response

SUCCESS
codeintegerDefaults to 200
dataobject
metaobject

Errors

404
Not Found Error